Skip to main content
GET
/
v2
/
virtual-accounts
/
settlement-rules
List all settlement rules
curl --request GET \
  --url https://production.hifibridge.com/v2/virtual-accounts/settlement-rules \
  --header 'Authorization: Bearer <token>'
{
  "count": 123,
  "rules": [
    {
      "id": "15c786fb-de7a-520c-a4b3-f312d4a122d2",
      "chain": "BASE",
      "includeHIFIFee": false,
      "rules": [
        {
          "type": "PERCENTAGE",
          "calculationModel": "FIXED",
          "walletAddress": "0x15FB50680fEB2f726413416665c25f9B397b047b",
          "value": 0.001,
          "tiers": [
            {
              "min": "1000",
              "max": "2000",
              "value": 0.0005
            }
          ]
        }
      ]
    }
  ],
  "nextCursor": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.hifi.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
string

Number of settlement rules to return, default to 10 maximum to 100

createdBefore
string

Return the settlement rules that created before this date

createdAfter
string

Return the settlement rules that created after this date

chain
enum<string>

Return the settlement rules that are created on this chain

Available options:
BASE,
POLYGON,
ETHEREUM,
SOLANA,
TRON

Response

Success

count
integer
required

Total number of settlement rules

rules
Settlement Rule Response · object[]
required

Array of settlement rules

nextCursor
string | null

Cursor for pagination to the next page of results